Name:     polkit-creator
Version:  0.1.0
Release:  %mkrel 2

Summary: Polkit Creator
Group:   Development/Other
License: GPLv3
URL:     http://www.pclinuxos.com/
Source: %{name}-%{version}.tar.xz
BuildRoot: %{_tmppath}/%{name}-%{version}-buildroot
BuildArch: noarch
Requires: yad


%description
Polkit creator is a GUI program to create a polkit
authentication policy file to be used in conjunction with
pkexec since gksu has been depreciated.

%prep
%setup -q

%build

%make


%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

#menu
desktop-file-install --vendor="" \
    --add-category="X-MandrivaLinux-System-FileTools;" \
	--dir %buildroot%{_datadir}/applications \
	%buildroot%{_datadir}/applications/%name.desktop

%clean
rm -rf $RPM_BUILD_ROOT


%post
%update_menus


%postun
%clean_menus



%files
%defattr(-,root,root,-)
%doc README COPYING
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_datadir}/pixmaps/%{name}.png
%_datadir/applications/%{name}.desktop


%changelog
* Wed Oct 02 2019 Ken <lxgator at gmail.com> 0.1.0-2pclos2019
- fix to remove tmp folder
- Add new lines to default xml file
- Cleaned up script, quieted terminal output

* Tue Oct 01 2019 Ken <lxgator at gmail.com> 0.1.0-1pclos2019
- create pkg

